# Class SyncedLearnerTracker

java.lang.Object
org.apache.zookeeper.server.quorum.SyncedLearnerTracker

Direct Known Subclasses:
  `Leader.Proposal`

public class SyncedLearnerTracker extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SyncedLearnerTracker.QuorumVerifierAcksetPair`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ArrayList<SyncedLearnerTracker.QuorumVerifierAcksetPair>`
`qvAcksetPairs`

## Constructor Summary

Constructors
Constructor
Description
`SyncedLearnerTracker()`

## Method Summary

Modifier and Type
Method
Description
`String`
`ackSetsToString()`
`boolean`
`addAck(Long sid)`
`void`
`addQuorumVerifier(QuorumVerifier qv)`
`boolean`
`hasAllQuorums()`
`boolean`
`hasSid(long sid)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### qvAcksetPairs

protected ArrayList<SyncedLearnerTracker.QuorumVerifierAcksetPair> qvAcksetPairs

## Constructor Details

### SyncedLearnerTracker

public SyncedLearnerTracker()

## Method Details

### addQuorumVerifier

public void addQuorumVerifier(QuorumVerifier qv)

### addAck

public boolean addAck(Long sid)

### hasSid

public boolean hasSid(long sid)

### hasAllQuorums

public boolean hasAllQuorums()

### ackSetsToString

public String ackSetsToString()